package net.northking.cctp.se.exec;

import net.northking.cctp.se.script.ScriptStep;
import net.northking.cctp.se.script.ScriptVariable;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 统一自动化测试脚本实例
 */
public class ATUScriptInstance
{
  /**
   * 脚本标识ID
   */
  private String id;

  /**
   * 脚本全局设置
   */
  private Map<String, Object> globalSettings = new HashMap<>();

  /**
   * 脚本参数清单
   */
  private Map<String, ScriptVariable> variableMap = new HashMap<>();

  /**
   * 脚本步骤清单
   */
  private List<ScriptStep> commands = new ArrayList<>();

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public Map<String, Object> getGlobalSettings()
  {
    return globalSettings;
  }

  public void setGlobalSettings(Map<String, Object> globalSettings)
  {
    this.globalSettings = globalSettings;
  }

  public Map<String, ScriptVariable> getVariableMap()
  {
    return variableMap;
  }

  public void setVariableMap(Map<String, ScriptVariable> variableMap)
  {
    this.variableMap = variableMap;
  }

  public List<ScriptStep> getCommands()
  {
    return commands;
  }

  public void setCommands(List<ScriptStep> commands)
  {
    this.commands = commands;
  }
}
